@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Regular.woff2') format('woff2'),
    url('fonts/Poppins-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Poppins';
  src: url('fonts/Poppins-Bold.woff2') format('woff2'),
    url('fonts/Poppins-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;
  font-family: 'Poppins', sans-serif;
}

:root {
  --bg-color: #1f242d;
  --second-bg-color: #323946;
  --text-color: #fff;
  --main-color: #0ef;
}


html {
  font-size: 62.5%;
  overflow-x: hidden;
  scroll-behavior: smooth;

}

body {
  background: #f5f5e1;
  color: #fff;
  overflow-x: hidden;


}

section {
  min-height: 100vh;
  padding: 10rem 9% 2rem;
  scroll-margin-top: 80px;
}


/* Home Section */

.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 2rem 9%;
  background: transparent;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}

.logo {
  font-size: 3rem;
  color: #6FC4E3;
  font-weight: 600;
  cursor: default;
}

.navbar {
  margin-right: 100px;
}

.navbar a {
  font-size: 1.9rem;
  color: #034158;
  margin-left: 4rem;
  transition: all .3s ease;
  display: inline-block;
}

.navbar a:hover {
  color: #0a8caf;
  transform: scale(1.2);
}


#menu-icon {
  font-size: 3.6rem;
  color: var(--text-color);
  display: none;
}

.home {
  display: flex;
  justify-content: center;
  align-items: center;
  background: url(background-Sayb.webp);
  background-size: cover;
}

.home-img img {
  width: 25vw;
  margin-left: 300px;
  margin-bottom: 300px;
  animation: floatUpDown 3s ease-in-out infinite;

}

@keyframes floatUpDown {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-30px);
  }

  100% {
    transform: translateY(0);
  }
}

.home-content h3 {
  font-size: 4.2rem;
  font-weight: 700;
  color: #034158;
}

.home-content h3:nth-of-type(2) {
  margin-bottom: 2rem;
}

span {
  color: #00B8F1;
}

.home-content h1 {
  font-size: 5.6rem;
  font-weight: 700;
  line-height: 1.3;
}

.home-content {
  margin-bottom: 350px;
}

.home-content p {
  font-size: 1.7rem;
  color: #034158;
}

.social-media a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 5rem;
  height: 5rem;
  background: #034158;
  border-radius: 50%;
  text-decoration: none;
  color: white;
  font-size: 2.3rem;
  margin: 3rem 1.5rem 3rem 0;
  transition: .5s ease;
}

.social-media a:hover {
  background: var(--main-color);
  color: var(--second-bg-color);
  box-shadow: 0 0 1rem var(--main-color);
  transform: scale(1.2);
}

.btn {
  display: inline-block;
  padding: 1rem 2.8rem;
  background: #034158;
  border-radius: 4rem;
  box-shadow: 0 0 1.6rem var(--main-color);
  font-size: 1.8rem;
  color: white;
  letter-spacing: .1rem;
  font-weight: 600;
  transition: .5s ease;
}

.btn:hover {
  box-shadow: none;
  background: var(--main-color);

}

/* About Section */

.about {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  background: url(background-sayb2.webp) center;
  background-size: cover;
  color: #034158;
}

.about-img img {
  width: 35vw;
  animation: uptodown 3s ease-in-out infinite;
}

@keyframes uptodown {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-30px);
  }

  100% {
    transform: translateY(0);
  }
}

.heading {
  text-align: center;
  font-size: 4.5rem;
  color: #034158;
}

.about-content {
  width: 100%;
  max-width: 100%;
  padding: 0 15px;
  box-sizing: border-box;
}

.about-content h2 {
  text-align: left;
  line-height: 1.2;

}

.about-content h3 {
  font-size: 2.6rem;
  background: linear-gradient(45deg, #00B8F1, #0ab66b);
  background-clip: text;
  color: transparent;
}

.about-content p {
  font-size: 1.7rem;
  line-height: 1.6;
  color: #034158;
  word-wrap: break-word;
  overflow-wrap: break-word;
  max-width: 100%;
  padding: 0 20px;
  box-sizing: border-box;
}

/* Services Section */

.services h2 {
  margin-bottom: 18rem;
  margin-right: 20px;
}

.services {
  background: url(background-Sayb.webp);
  background-size: cover;
}

.services-container {
  display: flex;
  justify-content: center;
  /* يوسّط العناصر أفقياً */
  gap: 6rem;
  /* مسافة بين البوكسات */
  width: 100%;
  margin: 0 auto;
}

.services-container .services-box {
  background: var(--second-bg-color);
  padding: 2rem 2rem 4rem;
  border-radius: 2rem;
  text-align: center;
  border: .2rem solid var(--bg-color);
  transition: .5s ease;
  width: 100%;
}

.services-container .services-box:hover {
  border-color: var(--main-color);
  transform: scale(1.06);
}

.services-box i {
  font-size: 7rem;
  color: var(--main-color);
}

.services-box h3 {
  font-size: 2.6rem;
}

.services-box p {
  font-size: 1.6rem;
  margin: 1rem 0 3rem;
}

/* Portfolio Section */

.portfolio {
  background: url(background-sayb2.webp) center;
  background-size: cover;
}

.portfolio h2 {
  margin-bottom: 4rem;
}

.portfolio-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  gap: 2.5rem;
}

.portfolio-container .portfolio-box {
  position: relative;
  width: 380px;
  height: 370px;
  border-radius: 2rem;
  box-shadow: 0 0 1rem var(--bg-color);
  overflow: hidden;
  display: flex;

}

.portfolio-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(0.6);
  transition: 0.5s ease;
}

.portfolio-box:hover img {
  transform: scale(1.1);
}

.portfolio-box .portfolio-layer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(rgba(0, 0, 0, .1), var(--main-color));
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding: 0 4rem;
  transform: translateY(100%);
  transition: .5s ease;
}

.portfolio-box:hover .portfolio-layer {
  transform: translateY(0);
}

.portfolio-layer h4 {
  font-size: 3rem;
}

.portfolio-layer p {
  font-size: 1.6rem;
  margin: .3rem 0 1rem;
}

.portfolio-layer a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 6px;
  padding: 12px 20px;
  background: var(--text-color);
  border-radius: 30px;
  text-decoration: none;
  font-size: 14px;
  font-weight: 500;
  color: var(--second-bg-color);
  transition: all 0.3s ease;
}

.portfolio-layer a i {
  font-size: 1.9rem;
  color: var(--second-bg-color);
}

.portfolio-layer a:hover {
  background: var(--main-color);
  transform: translateY(-3px);
}

/* Skills Section */

.skills-section h2 {
  border-bottom: 2px solid white;
  padding-bottom: 30px;
  margin-bottom: 30px;
  text-align: center;
  font-size: 23px;
}

.logo_header {
  width: 100px;
  height: 100px;
}

.logo-container {
  display: flex;
  align-items: center;
  gap: 13px;
}

.skills {
  padding: 80px 0;
  min-height: 100vh;
  text-align: center;
  font-family: 'Poppins', sans-serif;
  background: url(background-Sayb.webp);
  background-size: cover;

}

.skills .heading {
  font-size: 3rem;
  margin-bottom: 60px;
  font-weight: 700;
}

.skills-container {
  display: flex;
  flex-wrap: wrap;
  gap: 50px;
  justify-content: center;
}

.skills-category {
  flex: 1 1 500px;
}

.skills-category h2 {
  font-size: 2rem;
  margin-bottom: 30px;
  color: #333;
  border-bottom: 4px solid #00B8F1;
  display: inline-block;
  padding-bottom: 8px;
}

.skills-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
  gap: 30px;
}

.skill-item {
  background: #fff;
  padding: 25px 50px;
  border-radius: 20px;
  box-shadow: 0 6px 20px rgba(0, 0, 0, 0.08);
  transition: all 0.3s ease;
  position: relative;
}

.skill-item:hover {
  transform: translateY(-8px);
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
}

.skill-item img {
  width: 80px;
  height: 80px;
  margin-bottom: 15px;
  transition: transform 0.3s ease;
}

.skill-item:hover img {
  transform: scale(1.15);
}

.skill-item p {
  font-size: 1.5rem;
  font-weight: bold;
  color: #444;
  margin-bottom: 10px;
}

.footer {
  background-color: #03356b;
  color: #fff;
  padding: 60px 10% 30px;
  font-family: 'Poppins', sans-serif;
}

.container-footer {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 40px;
  margin-bottom: 40px;
}

.widget-footer h3 {
  margin-bottom: 20px;
  font-size: 20px;
  color: #fff;
  position: relative;
}

.widget-footer h3::after {
  content: '';
  width: 40px;
  height: 3px;
  background: #ffcc00;
  position: absolute;
  bottom: -8px;
  left: 0;
}

.widget-footer ul {
  list-style: none;
  padding: 0;
}

.widget-footer ul li {
  margin-bottom: 10px;
  font-size: 14px;
  color: #ddd;
}

.widget-footer ul li:hover {
  color: #ffcc00;
  transition: 0.3s;
}

.team-slider {
  position: relative;
  height: 300px;
}

.team-member {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 250px;
  background: var(--second-bg-color);
  padding: 20px;
  border-radius: 15px;
  opacity: 0;
  transition: opacity 0.5s ease;
}

.team-member.active {
  opacity: 1;
}

.team-member img {
  width: 150px;
  height: 150px;
  border-radius: 50%;
  object-fit: cover;
  border: 4px solid #00eeff;
  margin-bottom: 15px;
}

.dots {
  margin-top: 20px;
}

.dot {
  display: inline-block;
  width: 12px;
  height: 12px;
  background: #555;
  border-radius: 50%;
  margin: 5px;
  cursor: pointer;
}

.dot.active {
  background: #00eeff;
}

#dynamic-text {
  transition: opacity 0.5s ease-in-out;
  font-weight: bold;
}


@media (max-width: 768px) {
  .container-footer {
    grid-template-columns: 1fr;
    gap: 30px;
  }
}

@media (max-width: 480px) {
  .skills-grid {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 768px) {
  .team-slider {
    height: auto;
  }

  .team-member {
    position: relative;
    transform: translateX(0);
    margin-bottom: 20px;
  }
}

@media (max-width: 768px) {
  .home-img img {
    width: 70%;
    margin: 0 auto 2rem;
  }

  .home-content {
    margin-bottom: 50px;
    text-align: center;
  }
}

@media (max-width: 768px) {

  .portfolio-container {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
    justify-content: center;
    align-items: center;
  }


  .portfolio-container .portfolio-box {
    position: relative;
    width: 265px;
    height: 260px;
    border-radius: 2rem;
    align-items: center;
    box-shadow: 0 0 1rem var(--bg-color);
    overflow: hidden;
    display: flex;

  }

  .portfolio-layer h4 {
    font-size: 2.6rem;
  }

  .portfolio-layer p {
    font-size: 1.3rem;
    font-weight: 550;
    margin: .3rem 0 1rem;
  }

  .portfolio-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
    padding: 8px 16px;
    background: var(--text-color);
    border-radius: 30px;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;
    color: var(--second-bg-color);
    transition: all 0.3s ease;
  }
}

@media (max-width: 768px) {
  .services-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
    width: 100%;
  }

  .services-container .services-box {
    flex: 1 1 30rem;
    background: var(--second-bg-color);
    padding: 2rem 2rem 4rem;
    border-radius: 2rem;
    text-align: center;
    border: .2rem solid var(--bg-color);
    transition: .5s ease;
  }
}

@media (max-width: 768px) {
  .skills .heading {
    font-size: 2.4rem;
  }

  .skill-item img {
    width: 50px;
    height: 50px;
  }

  .skill-item p {
    font-size: 1.2rem;
  }
}

@media (max-width: 480px) {
  .skills .heading {
    font-size: 4rem;
  }

  .skills-container {
    gap: 20px;
  }

  .skill-item img {
    width: 45px;
    height: 45px;
  }

  .skill-item p {
    font-size: 1.7rem;
  }
}

@media (max-width: 768px) {
  .team-slider {
    position: static;
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }

  .team-member {
    position: static;
    transform: none;
    width: 90%;
    max-width: 300px;
    opacity: 1;
  }

  .dots {
    display: none;
  }

  .logo {
    display: none;
  }

}

@media (max-width: 768px) {
  .navbar {
    position: absolute;
    top: 100%;
    right: -100%;
    width: 200px;
    background: var(--bg-color);
    flex-direction: column;
    gap: 15px;
    padding: 20px;
    transition: 0.3s ease;
  }


  .navbar.active {
    right: 0;
  }

  .navbar a {
    color: #fff;
  }

  #menu-icon {
    display: block;
    color: #034158;
  }
}

@media (max-width: 768px) {
  .end_photo {
    width: 100% !important;
    height: auto;
    max-width: none;
  }
}

@media (max-width: 768px) {
  .home-content img {
    width: 400px;
    margin-left: 20px;
  }

  .home-content h3 {
    font-size: 4rem;
    margin-bottom: 10px;
  }

  .home-content p {
    font-size: 1.5rem;
    line-height: 1.5;
    max-width: 85%;
    margin-left: 30px;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
    box-sizing: border-box;
    padding: 0 10px;
  }

  .home-content .tagline {
    font-size: 2rem;
  }

  .home-img {
    display: none;
  }
}

@media (max-width: 768px) {
  .about-content {
    width: 100%;
    max-width: 90%;
    margin: 0 auto;
  }

  .about-content p {
    font-size: 1.5rem;
    line-height: 1.6;
    word-break: normal;
    white-space: normal;
    overflow-wrap: break-word;
  }

  .about-img {
    display: none;
  }
}

.social-media a::after {
  content: attr(data-tooltip);
  position: absolute;
  bottom: 140%;
  left: 50%;
  transform: translateX(-50%) translateY(5px);
  background: #ff3b3b;
  color: #fff;
  padding: 4px 10px;
  border-radius: 6px;
  font-size: 13px;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.15);
  transition: opacity 0.15s ease-out, transform 0.15s ease-out;
}

.social-media a:hover::after {
  opacity: 1;
  transform: translateX(-50%) translateY(0);
}

.img_home {
  width: 460px;
}

.tagline {
  display: inline-block;
  font-size: 30px;
  font-weight: 800;
  background: linear-gradient(45deg, #00B8F1, #0ab66b);
  background-clip: text;
  color: transparent;
  animation: pulse 2s infinite ease-in-out;
}

@keyframes pulse {

  0%,
  100% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.05);
  }
}

.end_section {
  background: url(background-sayb2.webp) center;
  background-size: cover;
}

.sayb_team {
  text-align: center;

}

.end_photo {
  display: block;
  margin: 0 auto;
  width: 50%;
  margin-bottom: 100px;
}

.widget-footer ul a {
  margin-bottom: 10px;
  font-size: 14px;
  color: #ddd;
}

.widget-footer ul a:hover {
  color: #ffcc00;
  cursor: pointer;
  transition: 0.3s;
}

.logo-link {
  text-decoration: none;
  background: none;
}

.logo-link:focus,
.logo-link:active {
  outline: none;
  background: none;
}